Change the casing of identifiers to language standard:
Original code:
package p03281.s252075069;
import java.util.*;

public class Main {
    public static void main(String[] args) throws Exception {

        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();

        boolean[] isprime = new boolean[n+1];
        Arrays.fill(isprime, true);
        isprime[0] = false;
        isprime[1] = false;
        for(int i = 2; i <= n; i++){
            if(isprime[i]){
                for(int j = i*2; j <= n; j+=i){  
                    isprime[j] = false;
                }
            }
        }

        int ans = 0;
        for(int i = 1; i <= n; i+=2){
            int[] primes = new int[n+1];
            for(int j = 2; j <= n; j++){
                if(isprime[j]){
                    int target = i;
                    while( target % j== 0 ){
                        target /= j;
                        primes[j]++;
                    }
                }
            }
            int cnt = 1;
            for(int j = 2; j <= n; j++){
                if( primes[j] > 0 ) cnt *= (primes[j]+1);
            }
            if(cnt == 8) ans++;
        }
        System.out.println(ans);
    }
}

Transformed code:
package p03281.s252075069;
import java.util.*;

public class Main {
    public static void main(String[] args) throws Exception {

        Scanner sc = new Scanner(System.in);
        int N = sc.nextInt();

